var R = 10;
var delta = 0;

var d1,d2,d3 = 0;
var p = 1;

function setup() {
  createCanvas(windowWidth, windowHeight);
	
	if(width > height) {
		R = height / 400 * 10;
	}
	else {
		R = width / 400 * 10;
	}
	
	d1 = 10; 
	d2 = d1 + p; 
	d3 = d2 + p; 
	
	background(100);
	noFill();
	strokeWeight(1);
	strokeJoin(ROUND);
  angleMode(DEGREES);
}

function draw() {
  background(100, 10);

  stroke(255, 0, 255, 80);
  drawHeart(d1);
  stroke(255, 255, 0, 80);
  drawHeart(d2);
  stroke(0, 255, 255, 80);
  drawHeart(d3);

  delta += 0.001;
}

function drawHeart(c) {
  push();
  translate(width / 2, height / 2);
  beginShape();
  for (var theta = 0; theta < 360; theta++) {
    var x = R * (16 * sin(theta * delta * c) * sin(theta) * sin(theta));
    var y = (-1) * R * (13 * cos(theta) - 5 * cos(2 * theta) -
      2 * cos(3 * theta) - cos(4 * theta));
    vertex(x, y);
  }
  endShape(CLOSE);
  pop();
}